> ## Documentation Index
> Fetch the complete documentation index at: https://docs.enad.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List all shareable links

> Retrieves a paginated list of all shareable links for the app, with optional filtering by folder ID



## OpenAPI

````yaml /swagger/management-api.json get /api/v1/{team_slug}/{app_slug}/dam/shareable-links
openapi: 3.0.0
info:
  contact:
    email: support@enad.io
    name: API support
    url: http://enad.io/support
  description: This is the documentation for Public API v1
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  termsOfService: http://enad.io/terms/
  title: Public API
  version: '1.0'
servers:
  - url: //api.enad.io
security: []
paths:
  /api/v1/{team_slug}/{app_slug}/dam/shareable-links:
    get:
      tags:
        - DAM
      summary: List all shareable links
      description: >-
        Retrieves a paginated list of all shareable links for the app, with
        optional filtering by folder ID
      parameters:
        - description: App slug
          in: path
          name: app_slug
          required: true
          schema:
            type: string
        - description: Team slug
          in: path
          name: team_slug
          required: true
          schema:
            type: string
        - description: 'Page number (default: 1)'
          in: query
          name: page
          schema:
            type: integer
        - description: 'Items per page (default: 100, max 100)'
          in: query
          name: per-page
          schema:
            type: integer
        - description: Filter by folder ID
          in: query
          name: folder-id
          schema:
            type: string
      responses:
        '200':
          description: Shareable links retrieved successfully
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/internal_pkg_webserver_v1.OkResponseShareableLinks
        '400':
          description: Invalid request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/internal_pkg_webserver_v1.ErrorMessage'
        '401':
          description: Unauthorized access
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/internal_pkg_webserver_v1.ErrorMessage'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/internal_pkg_webserver_v1.ErrorMessage'
      security:
        - BearerAuth: []
components:
  schemas:
    internal_pkg_webserver_v1.OkResponseShareableLinks:
      properties:
        data:
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.ShareableLink
          type: array
        success:
          type: boolean
        total:
          type: integer
        total_pages:
          type: integer
      type: object
    internal_pkg_webserver_v1.ErrorMessage:
      properties:
        details:
          items:
            type: string
          type: array
        message:
          type: string
        success:
          type: boolean
      type: object
    github_com_enadhq_nabbit_internal_pkg_webserver_models.ShareableLink:
      properties:
        created_at:
          type: string
        description:
          type: string
        expires_at:
          type: string
        file_ids:
          items:
            type: string
          type: array
        folder_ids:
          items:
            type: string
          type: array
        id:
          type: string
        image_ids:
          items:
            type: string
          type: array
        token:
          type: string
        updated_at:
          type: string
        video_ids:
          items:
            type: string
          type: array
      type: object

````